<!--
 - Created by MarosGrajcar on 8/21/2019.

 Documentation: This lwc only works with another lwc

 Calling the accordion:
    <c-hog_generic_accordion></c-hog_generic_accordion>

  Attributes:
  load-open-accordion="true or false" - define on load should it be open or closed
  header="" - Section name
  background-color="" - if not defined it will take gray color that is Salesforce default color
  header-text-color="" -  if not defined, basic color is black
  body-text-color="" - if not defined, basic color is black

  body - everything that is inside <c-hog_generic_accordion> here is body </c-hog_generic_accordion>

 -->

<!-- Hog Generic Accordion -->
<!--suppress HtmlUnknownTag -->
<template>
    <div class="slds-theme_default">
        <div class="slds-section__title">

            <div class="slds-button slds-section__title-action" style={sectionBackgroundColor} onclick={toggleExpandCollapse}>

                <lightning-button-icon if:true={_loadOpenAccordion} variant="bare"
                                       icon-name="utility:chevrondown" alternative-text=""></lightning-button-icon>
                <lightning-button-icon if:false={_loadOpenAccordion} variant="bare"
                                       icon-name="utility:chevronright" alternative-text=""></lightning-button-icon>

                <div class="slds-p-left_x-small" style={headerColor}>
                    {header}
                </div>

            </div>
        </div>

        <div class={displayControlledStyling}>
            <span class={paddingClasses} style={bodyColor}>
                <slot></slot>
            </span>
        </div>
    </div>
</template>